function metameta()
	menu.hidden = 1--don't show up in the mission list, how to get here is a secret!!
	return 0
end

function setupfactions()
	game.setEnemies(1,3)
	return 0
end

function meta()
	--only one so it selects automatically
	game.addBaseDeployableShips("vectorclassic", "alpha")
	game.deploy()

	--play the map!!
	game.play("vector_battle")
	return 0
	
	--(DETRITUS CODE that should be somewhere but I don't want it to be in the template so I'm storing it here:)
	
	--(different semi-obsolete methods of adding to ship selection) (needs to be called before game.deploy)
	--game.addBaseDeployableShips("","ALPHA", 1)
	--game.addMissionDeployableShips("","ALPHA", 1)
	--game.addDeployableShip("Lamjet","ALPHA")
	--game.addDeployableShip("Warbird","ALPHA")
	--game.addDeployableShip("Zukhov","ALPHA")

	--(semi-obsolete highly experimental game flow)
	--add unlocked pilot components, call a ship modification
	--game.addPilotComponents()
	--game.modify()
	
	--(how is destination set? I don't remember! something to do with gates)
	--(if actual modding interest materializes [e.g., if anybody actually reads this] I could try to get the system set back up...)
	--game.play("stage1")
	--if stage.destination == 0 then
	--	game.play("stage2")
	--else
	--	game.play("stage3")
	--end
	
	--math.randomseed(os.time())
	--stagenum = math.random(1, 3)
	--for i = 1, 3 do
	--	game.GFP("stage" .. stagenum)		--GFP = "green florescent protein", it's a biology joke, it just prints to the log.
	--	game.play("stage" .. stagenum)
	--	stagenum = stagenum + 1
	--	if stagenum > 3 then stagenum = 1 end
	--end
	--game.play("boss1")
end
